package com.ifish.service;

/**
 * 异步执行任务service
 * @author Administrator
 *
 */
public interface AsyncTaskService {

	/**
	 * 给所有用户发送云信消息
	 * @param userId
	 */
	public void sendMsgToAll(Integer userId);
	
	/**
	 * 给商家和用户发送消息
	 * @param userId 用户ID
	 * @param shopsUserId 商家用户ID
	 * @param nickName 用户昵称
	 */
	public void sendMsgToShopsUser(Integer userId,Integer shopsUserId,String nickName);
	/**
	 * 新增用户动态
	 * @param userId
	 * @param activityType
	 */
	public void saveUserActivity(Integer userId,String activityType);
}
